|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionToolBox Class Reference

The QStyleOptionToolBox class is used to describe the parameters needed for drawing a tool box. More...

    #include <QStyleOptionToolBox>

Part of the QtGui module.

Inherits QStyleOption.

- List of all members, including inherited members

### Properties

- icon : const QIcon
- text : const QString

- 5 properties inherited from QStyleOption

### Public Functions

- QStyleOptionToolBox ()
- QStyleOptionToolBox ( const QStyleOptionToolBox & other )

- 2 public functions inherited from QStyleOption

## Detailed Description

The QStyleOptionToolBox class is used to describe the parameters needed for drawing a tool box.

The QStyleOptionToolBox class is used for drawing QToolBox.

## Property Documentation

### icon : const QIcon

This property holds the icon for the tool box tab.

### text : const QString

This property holds the text for the tool box tab.

## Member Function Documentation

### QStyleOptionToolBox::QStyleOptionToolBox ()

Creates a QStyleOptionToolBox. The members variables are initialized to default values.

### QStyleOptionToolBox::QStyleOptionToolBox ( const QStyleOptionToolBox & other )